> This page is for Developer.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.bigcommerce.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.bigcommerce.com/_mcp/server.

# List Redirects

GET https://api.bigcommerce.com/stores/{store_hash}/v3/storefront/redirects

Returns a collection of the store's 301 redirects across all sites.

Reference: https://docs.bigcommerce.com/developer/api-reference/rest/admin/management/redirects/get-redirects

## Authentication

- `X-Auth-Token` header (required) — ### OAuth scopes | UI Name | Permission | Parameter | |:--------|:-----------|:----------| | Content | modify | `store_v2_content` | | Content | read-only | `store_v2_content_read_only` | ### Authentication header | Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#api-accounts). | ### Further reading For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).

## Request

### Path parameters

- `store_hash` (string, required) — Permanent ID of the BigCommerce store.

### Query parameters

- `site_id` (integer, optional) — Filters items by site ID.
- `id:in` (list of integer, optional) — Filters items by redirect ID. Also accepts comma-separated values to filter for multiple redirects.
- `id:min` (integer, optional) — Filters items by minimum redirect ID.
- `id:max` (integer, optional) — Filters items by maximum redirect ID.
- `limit` (integer, optional) — Controls the number of items to return per page.
- `page` (integer, optional) — Specifies the page number in a limited (paginated) list of items. Used to paginate large collections.
- `sort` (enum, optional) — Field name to sort by. Since redirect IDs increment when new redirects are added, you can sort by ID to return results in redirect create date order.
  - Allowed values: `from_path`, `type`, `site_id`, `id`
- `direction` (enum, optional) — Sort direction. Acceptable values are `asc`, `desc`.
  - Allowed values: `asc`, `desc`
- `include` (list of enum, optional) — Indicates whether to include redirect sub-resources. Only `to_url` is supported.
  - Allowed values: `to_url`
- `keyword` (string, optional) — Filters redirects by the specified keyword. Will only search from the beginning of a URL path. For example, `blue` will match `/blue` and `/blue-shirt` , **not** `/royal-blue-shirt`.

### Headers

- `Accept` (string, required, default: application/json) — The [MIME type](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types) of the response body.

## Response

### 200

OK

- `data` (list of 301RedirectRead, optional)
- `meta` (MetaPaginationObject, optional)

## Types

### 301RedirectRead

Full detail of a Redirect, optionally including the full destination URL.

- `id` (integer, optional)
- `site_id` (integer, optional)
- `from_path` (string, optional)
- `to` (RedirectTo, optional)
- `to_url` (string, optional) — Full destination URL for the redirect. Must be explicitly included via URL parameter.

### MetaPaginationObject

- `pagination` (MetaPaginationObjectPagination, optional)

### RedirectTo

- `type` (enum, optional)
  - Allowed values: `product`, `brand`, `category`, `page`, `post`, `url`
- `entity_id` (integer, optional)
- `url` (string, optional)

### MetaPaginationObjectPagination

- `total` (integer, optional)
- `count` (integer, optional)
- `per_page` (integer, optional)
- `current_page` (integer, optional)
- `total_pages` (integer, optional)
- `links` (MetaPaginationObjectPaginationLinks, optional)

### MetaPaginationObjectPaginationLinks

- `next` (string, optional)
- `current` (string, optional)

## Examples

**Response**

```json
{
  "data": [
    {
      "id": 1,
      "site_id": 1,
      "from_path": "/old-url",
      "to": {
        "type": "product",
        "entity_id": 1,
        "url": "/new-url/"
      },
      "to_url": "https://store-domain.com/new-url"
    }
  ],
  "meta": {
    "pagination": {
      "total": 246,
      "count": 5,
      "per_page": 5,
      "current_page": 1,
      "total_pages": 50,
      "links": {
        "next": "?limit=5&page=2",
        "current": "?limit=5&page=1"
      }
    }
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.bigcommerce.com/stores/store_hash/v3/storefront/redirects"

headers = {
    "Accept": "application/json",
    "X-Auth-Token": "<apiKey>"
}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.bigcommerce.com/stores/store_hash/v3/storefront/redirects';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', 'X-Auth-Token': '<apiKey>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.bigcommerce.com/stores/store_hash/v3/storefront/redirects"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("X-Auth-Token", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.bigcommerce.com/stores/store_hash/v3/storefront/redirects")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["X-Auth-Token"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.bigcommerce.com/stores/store_hash/v3/storefront/redirects")
  .header("Accept", "application/json")
  .header("X-Auth-Token", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.bigcommerce.com/stores/store_hash/v3/storefront/redirects', [
  'headers' => [
    'Accept' => 'application/json',
    'X-Auth-Token' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.bigcommerce.com/stores/store_hash/v3/storefront/redirects");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("X-Auth-Token", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Accept": "application/json",
  "X-Auth-Token": "<apiKey>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.bigcommerce.com/stores/store_hash/v3/storefront/redirects")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```